Subject: RE: RE; Numpy and NumTut
From: "Norman Vine" <[email-masked]>
To: "'Jason Tishler'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>, <[email-masked]>, "'Mark Hadfield'" <[email-masked]>
Date: Wed, 10 Oct 2001 20:48:28 -0400

Jason Tishler writes:
>
>On Wed, Oct 10, 2001 at 04:35:47AM -0400, Norman Vine wrote:
>> Mark Hadfield writes:
>> >/usr/bin/python setup_all.py build
>>
>> You probably want to use the explicit  --compiler cygwin
>instruction here
>> /usr/bin/pytthon setup_all.py build --compiler cygwin
>
>IIRC, I don't believe that the "--compiler cygwin" option is necessary
>since Mark submitted the standard DL_EXPORT style patches to NumPy.
>
>Mark, am I correct or am I dreaming?

Unless you have setup a custom distutils cfg file see
http://python.sourceforge.net/devel-docs/inst/config-syntax.html

[build]
compiler=cygwin

You need to specify the --compiler cygwin
http://python.sourceforge.net/devel-docs/inst/non-ms-compilers.html#SECTION0
00312000000000000000

Cheers

Norman

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/